
Summary: Linux Screen Reader: Extensible assistive technology
Name: lsr
Version: 0.4.0
Release: %mkrel 1
License: BSD
Group: Accessibility
URL: http://live.gnome.org/LSR
Source0: http://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
BuildRequires: gnome-python-bonobo
BuildRequires: pygtk2.0-libglade
BuildRequires: x11-server-xvfb
BuildRequires: python-spi
BuildRequires: desktop-file-utils

Requires: gnome-python
Requires: pyorbit
Requires: gnome-speech
Requires: python-spi


%description
Linux Screen Reader (LSR) is an extensible assistive technology for people 
with disabilities. The design philosophy behind LSR is to provide a core 
platform that enables the development of LSR extensions for improving desktop
application accessibility and usability, and  shields extension developers
from the intricacies of the desktop accessibility architecture.

%prep
%setup -q

%build
XDISPLAY=$(i=0; while [ -f /tmp/.X$i-lock ]; do i=$(($i+1)); done; echo $i)
Xvfb :$XDISPLAY >& /dev/null &
export DISPLAY=:$XDISPLAY 
./configure --build=`uname -m`-%{_real_vendor}-%{_target_os}%{?_gnu} --prefix=%{_prefix} --libdir=%{_libdir} --datadir=%{_datadir} --mandir=%{_mandir}
kill $(cat /tmp/.X$XDISPLAY-lock)
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications

desktop-file-install --vendor=ibm \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Accessibility" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/lsr/lsr.desktop 

touch $RPM_BUILD_ROOT%{py_puresitedir}/lsr/global.installed

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_bindir}/lsr --init-global > /dev/null
%update_icon_cache hicolor

%postun
%clean_icon_cache hicolor

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS README COPYING NEWS ChangeLog
%ghost %{py_puresitedir}/lsr/global.installed
%{_mandir}/man1/*
%{_bindir}/lsr
%{_datadir}/lsr
%{py_puresitedir}/lsr
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/pixmaps/*.png
%{_datadir}/applications/*.desktop


%changelog
* Fri Feb 02 2007 Frederic Crozat <fcrozat@mandriva.com> 0.4.0-1mdv2007.0
+ Revision: 115985
-Release 0.4.0
-Register default profile at install time
-Release 0.3.2
-Fix Buildrequires
- Import lsr



* Wed Jun 14 2006 Frederic Crozat <fcrozat@mandriva.com> 0.2.1-1mdv2007.0
-  Initial Mandriva package
